SoftwareComponent (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.SoftwareComponent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface SoftwareComponent

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable

All Known Subinterfaces:
  I5OSSoftwareComponent, JVM, LinuxRPM, MQServiceComponent, SCAComponent, SolarisPackage, TMSAgent

    public interface SoftwareComponent

extends LogicalElement, Provider

Naming Rules:
  0="parent,name,softwareVersion" 1="managedSystemName"
Persistable:
  true
Table Name:
  SFTCMP
Display Name:
  name,softwareVersion

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getExecutableName()`
`MQApiExit` | `getExit()`
`MQApiExitLocal` | `getExitLocal()`
`java.lang.String` | `getGroup()`
`java.lang.String` | `getInstalledDate()`
`java.lang.String` | `getName()`
`OperatingSystem` | `getParent()`
`java.lang.String` | `getPublisher()`
`java.lang.String` | `getSoftwareVersion()`
`java.lang.String` | `getType()`
`boolean` | `hasExecutableName()`
`boolean` | `hasExit()`
`boolean` | `hasExitLocal()`
`boolean` | `hasGroup()`
`boolean` | `hasInstalledDate()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPublisher()`
`boolean` | `hasSoftwareVersion()`
`boolean` | `hasType()`
`void` | `setExecutableName(java.lang.String s)`
`void` | `setExit(MQApiExit x)`
`void` | `setExitLocal(MQApiExitLocal x)`
`void` | `setGroup(java.lang.String s)`
`void` | `setInstalledDate(java.lang.String date)`
`void` | `setName(java.lang.String s)`
`void` | `setParent(OperatingSystem os)`
`void` | `setPublisher(java.lang.String publisher)`
`void` | `setSoftwareVersion(java.lang.String s)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Method Detail

### getSoftwareVersion

    java.lang.String getSoftwareVersion()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSoftwareVersion

    void setSoftwareVersion(java.lang.String s)

### hasSoftwareVersion

    boolean hasSoftwareVersion()

### getGroup

    java.lang.String getGroup()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGroup

    void setGroup(java.lang.String s)

### hasGroup

    boolean hasGroup()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getParent

    OperatingSystem getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setParent

    void setParent(OperatingSystem os)

### hasParent

    boolean hasParent()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getInstalledDate

    java.lang.String getInstalledDate()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInstalledDate

    void setInstalledDate(java.lang.String date)

### hasInstalledDate

    boolean hasInstalledDate()

### getPublisher

    java.lang.String getPublisher()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPublisher

    void setPublisher(java.lang.String publisher)

### hasPublisher

    boolean hasPublisher()

### getExecutableName

    java.lang.String getExecutableName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExecutableName

    void setExecutableName(java.lang.String s)

### hasExecutableName

    boolean hasExecutableName()

### getExitLocal

    MQApiExitLocal getExitLocal()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InvokedThrough" reverse="false"

### setExitLocal

    void setExitLocal(MQApiExitLocal x)

### hasExitLocal

    boolean hasExitLocal()

### getExit

    MQApiExit getExit()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InvokedThrough" reverse="false"

### setExit

    void setExit(MQApiExit x)

### hasExit

    boolean hasExit()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD